Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.messageservices.core.v1
Class SendTransactionRequest

    java.lang.Object
      be.fgov.ehealth.messageservices.core.v1.SendTransactionRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:45:18+01:00",
               comments="JAXB RI v2.2.11")
    public class SendTransactionRequest

extends Object
implements Serializable

Java class for SendTransactionRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendTransactionRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/messageservices/core/v1}RequestType"/>
             <element name="kmehrmessage" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}kmehrmessageType"/>
           </sequence>
           <attribute name="messageProtocoleSchemaVersion" type="{http://www.w3.org/2001/XMLSchema}decimal" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendTransactionRequest()`

Method Summary
`Kmehrmessage` | `getKmehrmessage()` Gets the value of the kmehrmessage property.
`BigDecimal` | `getMessageProtocoleSchemaVersion()` Gets the value of the messageProtocoleSchemaVersion property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setKmehrmessage(Kmehrmessage value)` Sets the value of the kmehrmessage property.
`void` | `setMessageProtocoleSchemaVersion(BigDecimal value)` Sets the value of the messageProtocoleSchemaVersion property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendTransactionRequest

    public SendTransactionRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getKmehrmessage

    public Kmehrmessage getKmehrmessage()

  Gets the value of the kmehrmessage property.

  Returns:
    possible object is `Kmehrmessage`

### setKmehrmessage

    public void setKmehrmessage(Kmehrmessage value)

  Sets the value of the kmehrmessage property.

  Parameters:
    `value` - allowed object is `Kmehrmessage`

### getMessageProtocoleSchemaVersion

    public BigDecimal getMessageProtocoleSchemaVersion()

  Gets the value of the messageProtocoleSchemaVersion property.

  Returns:
    possible object is `BigDecimal`

### setMessageProtocoleSchemaVersion

    public void setMessageProtocoleSchemaVersion(BigDecimal value)

  Sets the value of the messageProtocoleSchemaVersion property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.